<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package guj
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
            if (has_post_thumbnail()) { ?>
                <figure class="featured-image index-image">
                        <a href="<?php echo esc_url(get_permalink()) ;?>" rel="bookmark">
                        <?php the_post_thumbnail('guj-index-img') ;?>
                </a>
                </figure> <!--.featured-image .index-image-->
	<?php	} ?>

	<div class="post__content">
            <header class="entry-header">
                    <?php guj_the_category_list () ;?>
                    <?php
                    if ( is_singular() ) :
                            the_title( '<h1 class="entry-title">', '</h1>' );
                    else :
                            the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
                    endif;

                    if ( 'post' === get_post_type() ) :
                            ?>
                            <div class="entry-meta">
                                    <?php
                                    guj_posted_by();
                                    guj_posted_on();
                                    ?>
                            </div><!-- .entry-meta -->
                    <?php endif; ?>
            </header><!-- .entry-header -->

            <div class="entry-content">
                    <?php
                    $length_setting = guj_get_option('content_length_setting');

                    if ('excerpt'  === $length_setting) {
                        the_excerpt();
                        guj_customize_readmore();
                        
                    } else {
                        the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'guj' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );
                    }
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guj' ),
                        'after'  => '</div>',
                    ) );
                    
                    ?>
            </div><!-- .entry-content -->

	</div><!--.post__content-->
</article><!-- #post-<?php the_ID(); ?> -->
